﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

public class Cliente
{
    public int id { set; get; }
    public string nome { set; get; }
    public string cpf { set; get; }
    public string telefone { set; get; }


    public void MostrarCliente()
    {
        Console.WriteLine("{0} - {1} - {2} - {3}", this.id.ToString(), this.nome, this.cpf, this.telefone);
    }

    public Cliente()
    {
     
        this.id = 0;
        this.nome = "";
        this.telefone = "";
        this.cpf = "";

    }

    public void AdicionaCliente()
    {
        
        Console.Write("Digite o ID do cliente: ");
        this.id = Convert.ToInt32(Console.ReadLine());
        Console.Write("Digite o Nome do Cliente: ");
        this.nome = Console.ReadLine();
        Console.Write("Digite o CPF do cliente: ");
        this.cpf = Console.ReadLine();
        Console.Write("Digite o telefone do cliente: ");
        this.telefone = Console.ReadLine();
        
    }


    public static void Main()
    {
        int i;
        /* Cliente umcliente = new Cliente(); //Instanciação de um objeto
         umcliente=umcliente.AdicionaCliente(); //chamando o método para adicionar novo cliente
         Console.WriteLine("---------------------CLIENTE LIDO-------------------------------------");
         umcliente.MostrarCliente(umcliente); //chamando o método para mostrar um cliente
        */
        Console.WriteLine("---------------- CRAIANDO O VETOR ------------------");
        Cliente[] variosClientes = new Cliente[5]; //Instanciação de um vetor de objetos
        for (i = 0; i < 5; i++)
        {
            variosClientes[i] = new Cliente(); //cada posição do vetor deve ser iniciada individualmente
            Console.WriteLine("Adicionando o cliente {0}", (i + 1).ToString());
            variosClientes[i].AdicionaCliente(); //chamando o método para adicionar novo cliente
        }
        Console.WriteLine("----------------- Mostrar os 5 clientes lidos ---------------");
        for (i = 0; i < 5; i++)
        {
            variosClientes[i].MostrarCliente(); //chamando o método para mostrar cada cliente
        }
        Console.ReadLine();
    }
}